National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2008-5177 Detail

Current Description

Stack-based buffer overflow in the DtbClsLogin function in Yosemite Backup 8.7 allows remote attackers to (1) execute arbitrary code on a Linux platform, related to libytlindtb.so; or (2) cause a denial of service (application crash) and possibly execute arbitrary code on a Windows platform, related to ytwindtb.dll; via a long username field during authentication.

Source:  MITRE
View Analysis Description

Severity



CVSS 3.x Severity and Metrics:

NIST CVSS score
NIST: NVD
Base Score: N/A
NVD score not yet provided.

Evaluator Impact

http://www.insight-tech.org/index.php?p=Yosemite-backup-8-7-DtbClsLogin-Buffer-Overflow-Vulnerability "There exists a vulnerability within a function in Yosemite Backup 8.7 which leads to remote compromise of the vulnerable system if properly exploited. The vulnerability affects both Linux/Windows versions of Yosemite Backup 8.7."

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://www.insight-tech.org/index.php?p=Yosemite-backup-8-7-DtbClsLogin-Buffer-Overflow-Vulnerability Exploit Vendor Advisory
http://www.insight-tech.org/xploits/yosemiteStackOverflowExploit.zip Exploit
http://www.securityfocus.com/bid/32246
https://exchange.xforce.ibmcloud.com/vulnerabilities/46515

Weakness Enumeration

CWE-ID CWE Name Source
CWE-119 Improper Restriction of Operations within the Bounds of a Memory Buffer NIST  

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:a:insight-tech:yosemite_backup:8.7:*:*:*:*:*:*:*
     Show Matching CPE(s)


Change History

2 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2008-5177
NVD Published Date:
11/20/2008
NVD Last Modified:
08/07/2017